Subject: [Sip] RE: [Sipping] draft-mahy-sipping-connect-reuse-reqs-00

From: "Sean Olson" <[email-masked]>
Date: Thu, 11 Jul 2002 09:40:20 -0700

I am considering the use case where the connection between
the client and the server is "one-way". By one-way, I mean
only the client may establish a connection to the server and
not the other way around, usually due to an intermediate firewall.
In this case, it is critical that the server re-use the connection
that the client established to it, not only for this transaction
but for all subsequent messaging.

/sean

-----Original Message-----
From: Rohan Mahy [mailto:[email-masked]] 
Sent: Thursday, July 11, 2002 7:44 AM
To: Christer Holmberg
Cc: Sean Olson; Gonzalo Camarillo; [email-masked]; [email-masked]
Subject: Re: [Sipping] draft-mahy-sipping-connect-reuse-reqs-00

Hi,

The current wording is that connection reuse is part of a request which 
can be rejected.  I need to understand Sean's use case a little better, 
but I suspect this will need to remain a request, because the request 
might not be authorized.  I guess the key question is what do you do  if

the request can't be handled?  do you reject with an error message or 
handle the SIP request anyway (ignoring the connection reuse).  perhaps 
this is what Sean meant.  We probably should have an indication that the

alias is optional or required.  Of course, required handling would also 
imply a Proxy-Require/Require which I was trying to avoid....

thanks,
-rohan

On Thursday, July 11, 2002, at 12:10 AM, Christer Holmberg wrote:

>
> Hi,
>
> I think it is important to think of who is allowed to "demand" what.
> Can we
> always assume the client makes the final decission? What if the 
> server - for
> whatever reason - doens't want to/isn't able to reuse the connection? 
> Shall
> it send some kind of error response to the request where the "demand"
is
> specified, or shall it be allowed to use another, or establish a new,
> connection? Shall the server be allowed to "demand" a re-use of 
> connection,
> even if the client didn't? How does this affect backward compability, 
> if the
> indicators aren't understood by all the nodes? Do we need
> Supported/Require/Proxy-Require tags?
>
> Regards,
>
> Christer Holmberg
> Ericsson Finland
>
>
>
>> Good point. Is this is a request or a demand by the client to re-use 
>> the connection? I think we need the possibility for the client to
>> *demand* that the connection be re-used. There may also be situations

>> where re-use is just an optimization.
>>
>> /sean
>>
>> -----Original Message-----
>> From: Christer Holmberg [mailto:[email-masked]]
>> Sent: Tuesday, July 09, 2002 9:41 AM
>> To: Sean Olson; Gonzalo Camarillo; [email-masked]; [email-masked]; 
>> [email-masked]
>> Subject: Re: [Sipping] draft-mahy-sipping-connect-reuse-reqs-00
>>
>> Another comment,
>>
>> I also think it is important to remember that there MAY be scenarios,

>> especially if a connection is used for multiple sessions, where one 
>> wants to use separate connections per each direction - even if the 
>> client indicates he wants to use the same connection for the 
>> response. Just to think of before the MUSTs are added...
>>
>> Regards,
>>
>> Christer Holmberg
>> Ericsson Finland
>>
>> Christer Holmberg wrote:
>>
>>> Hi Sean,
>>>
>>>> Is this really out of scope for this draft? Naturally
>>>> the more re-use you make of the connection, the more benefit you 
>>>> get
>>
>>>> from re-use ;-)
>>>
>>> Of course, but in that case it should be mentioned in the draft :)
>>>
>>> The only thing the draft currently talks about the problem how to 
>>> make
>>
>>> sure a single connection is used for both directions, per session - 
>>> which is a separate issue from reusing connections for multiple 
>>> sessions.
>>>
>>> And, since I don't think any draft currently talks about the reuse 
>>> of connections for multiple sessions (bis talks about keeping the 
>>> connection open to make sure the transaction uses the same 
>>> transaction), maybe it could be added to the connect-reuse draft?
>>>
>>> Just some thoughts...
>>>
>>> Regards,
>>>
>>> Christer Holmberg
>>> Ericsson Finland
>>>
>>>>
>>>>
>>>> /sean
>>>>
>>>> -----Original Message-----
>>>> From: Christer Holmberg [mailto:[email-masked]]
>>>> Sent: Tuesday, July 09, 2002 6:30 AM
>>>> To: Gonzalo Camarillo
>>>> Cc: Sean Olson; [email-masked]; [email-masked]; [email-masked]
>>>> Subject: Re: [Sipping] draft-mahy-sipping-connect-reuse-reqs-00
>>>>
>>>> Hi,
>>>>
>>>> RFC3261/bis-9 mainly talks about using a single connection (or, one

>>>> in each
>>>> direction) for a single transaction, and the connect-reuse draft 
>>>> talks about being able to use a single connection for messages in 
>>>> both direction, for a single session. Sometimes, however, when we 
>>>> talk about "reuse of connection" we mean when a single connection 
>>>> (or, one in each
>>>> direction) is used for multiple sessions. I think it would be a 
>>>> good idea to mention that that kind of "reuse" is out of the scope 
>>>> of the draft. Otherwise the draft subject should more clear 
>>>> indicate what
>> kind
>>>> of reuse it refers to...
>>>>
>>>> Of course, once a single connection is established, according to 
>>>> the
>>
>>>> connect-reuse draft, it MAY be used for multiple sessions, but 
>>>> that's not the scope of the draft, so...
>>>>
>>>> Regards,
>>>>
>>>> Christer Holmberg
>>>> Ericsson Finland
>>>
>>> _______________________________________________
>>> Sipping mailing list  https://www1.ietf.org/mailman/listinfo/sipping
>>> This list is for NEW development of the application of SIP Use 
>>> [email-masked] for questions on current sip Use 
>>> [email-masked] for new developments of core SIP
>

_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip